//
//  SSSelectionCell.m
//  SSTableViewSample
//
//  Created by Sa-ryong Kang on 10/6/11.
//  Copyright 2011 SeedShock, Inc. All rights reserved.
//

#import "SSTableView.h"

@implementation SSSelectionCell

@synthesize stringSelector = _stringSelector;
@synthesize boundObject = _boundObject;
@synthesize options = _options;

#pragma mark - static method

+ (SSSelectionCell *)cellWithText:(NSString *)text boundObject:(id)object stringSelector:(SEL)stringSelector
{
    SSSelectionCell *newCell = [[[SSSelectionCell alloc] init] autorelease];
    if (newCell) {
        newCell.text = text;
        newCell.boundObject = object;
        newCell.stringSelector = stringSelector;
    }
    return newCell;
}

+ (SSSelectionCell *)cellWithText:(NSString *)text options:(NSArray *)options
{
    SSSelectionCell *newCell = [[[SSSelectionCell alloc] init] autorelease];
    if (newCell) {
        newCell.text = text;
        newCell.options = options;
    }
    return newCell;
}

#pragma mark -

- (id)init
{
    self = [super init];
    if (self) {
        // Initialization code here.
    }
    
    return self;
}

- (void)dealloc
{
    [_boundObject release];
    
    [super dealloc];
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    [super tableView:tableView didSelectRowAtIndexPath:indexPath];
    
    SSTableViewController *optionController = [[SSTableViewController alloc] initWithStyle:UITableViewStyleGrouped];
    
    // TODO: get controller
    
}

@end
