//
//  SSSelectionCell.h
//  SSTableViewSample
//
//  Created by Sa-ryong Kang on 10/6/11.
//  Copyright 2011 SeedShock, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "SSTableViewCell.h"

@interface SSSelectionCell : SSTableViewCell {
@private
}

@property (retain) id boundObject;
@property (retain) NSArray *options;

+ (SSSelectionCell *)cellWithText:(NSString *)text boundObject:(id)object stringSelector:(SEL)stringSelector;

+ (SSSelectionCell *)cellWithText:(NSString *)text options:(NSArray *)options;

@property (assign) SEL stringSelector;

@end
