//
//  SSTableViewDataSource.h
//  SSTableViewSample
//
//  Created by Sa-ryong Kang on 10/4/11.
//  Copyright 2011 SeedShock, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "SSTableViewSection.h"

@interface SSTableViewController : UITableViewController<SSTableViewSectionUpdateDelegate> {
@private
    NSString *identifier;
    NSMutableArray *sections;
}

- (id)initWithTableView:(UIView *)view viewController:(UITableViewController *)controller;

- (void)addSection:(SSTableViewSection *)section;
- (SSTableViewSection *)sectionAt:(NSInteger)section;

@end
